# -*- coding: utf-8 -*-
from setuptools import setup, Extension

bitmaps = Extension('Pyxform.bitmaps',
                    sources = [ 'Pyxform/Modules/bitmaps.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
box = Extension('Pyxform.box',
                    sources = [ 'Pyxform/Modules/box.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
browser = Extension('Pyxform.browser',
                    sources = [ 'Pyxform/Modules/browser.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
button = Extension('Pyxform.button',
                    sources = [ 'Pyxform/Modules/button.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
choice = Extension('Pyxform.choice',
                    sources = [ 'Pyxform/Modules/choice.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
clock = Extension('Pyxform.clock',
                    sources = [ 'Pyxform/Modules/clock.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
counter = Extension('Pyxform.counter',
                    sources = [ 'Pyxform/Modules/counter.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
dial = Extension('Pyxform.dial',
                    sources = [ 'Pyxform/Modules/dial.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
forms = Extension('Pyxform.forms',
                    sources = [ 'Pyxform/Modules/forms.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
frame = Extension('Pyxform.frame',
                    sources = [ 'Pyxform/Modules/frame.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
goodies = Extension('Pyxform.goodies',
                    sources = [ 'Pyxform/Modules/goodies.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
input = Extension('Pyxform.input',
                    sources = [ 'Pyxform/Modules/input.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
menu = Extension('Pyxform.menu',
                    sources = [ 'Pyxform/Modules/menu.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
objects = Extension('Pyxform.objects',
                    sources = [ 'Pyxform/Modules/objects.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
pixmaps = Extension('Pyxform.pixmaps',
                    sources = [ 'Pyxform/Modules/pixmaps.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
popups = Extension('Pyxform.popups',
                    sources = [ 'Pyxform/Modules/popups.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
positioner = Extension('Pyxform.positioner',
                    sources = [ 'Pyxform/Modules/positioner.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
slider = Extension('Pyxform.slider',
                    sources = [ 'Pyxform/Modules/slider.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
text = Extension('Pyxform.text',
                    sources = [ 'Pyxform/Modules/text.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
timer = Extension('Pyxform.timer',
                    sources = [ 'Pyxform/Modules/timer.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
xforms = Extension('Pyxform.xforms',
                    sources = [ 'Pyxform/Modules/xforms.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
xyplot = Extension('Pyxform.xyplot',
                    sources = [ 'Pyxform/Modules/xyplot.c'], 
                    libraries = ['forms'],
                    library_dirs = ['/usr/local/lib'])
setup (name = 'PyXForms',
       version = '0.2',
       description = 'This is OLD code',
       author = 'Roberto Alsina',
       author_email = 'ralsina@netmanagers.com.ar',
       ext_modules = [bitmaps, box, browser, button, choice, clock, counter, dial, forms, frame, goodies, input, menu, objects, pixmaps, popups, positioner, slider, text, timer, xforms, xyplot],
       packages = ['Pyxform']
       )
